import { OnInit } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material';
export interface DialogData {
    operation: string;
    data: [string];
}
export declare class DialogComponent implements OnInit {
    data: DialogData;
    dialog: MatDialog;
    dialogRef: MatDialogRef<DialogComponent>;
    constructor(data: DialogData, dialog: MatDialog, dialogRef: MatDialogRef<DialogComponent>);
    ngOnInit(): void;
    delete(): void;
    close(type: string): void;
}
